Bug 88522 - kernel-2.4.20-9 panics: No init found. Try passing init= option to kernel
kernel-2.4.20-9 panics: No init found. Try passing init= option to kernel
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-10 13:09 EDT by Need Real Name
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-11 07:55:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-10 13:09:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021226

Description of problem:
All stock RedHat kernels since 2.4.18-19.8.0 have panicked on this system.
Currently running old rawhide 2.4.20-2.2custom :-)

Output from booting RH9 with stock 2.4.20-8 (or 2.4.20-9):

RAMDISK: Compressed image found at block 0
Freeing initrd memory: 147k freed
VFS: Mounted root (ext2 filesystem).
Red Hat nash version 3.4.42 starting
Loading jbd.o modules
Journalled Block Device driver loaded
Loading ext3.o module
Mounting /proc filesystem
Creating block devices
Creating root device
mkrootdev: label / not found
Mounting root filesystem
mount: error 2 mounting ext3
pivotroot: pivot_root (/sysroot,/sysroot/initrd) failed:2
umount /initrd/proc failed:2
Freeing unused kernel memory: 128k freed
Kernel panic: No init found. Try passing init= option to kernel.

Caps, scroll, blinking together, 1Hz frequency, 50% on, 50% off..
(pretty kernel morse code...)

Other relevant info....
Start here: :-)
http://www.redhat.com/mailing-lists/redhat-devel-list/msg09959.html

Off list:
Subject: Re: Problem with mkinitrd / modutils - broken initrd's 2.4.18

No, it's not resolved. 

I just upgraded to RH9, the 2.4.20-8 kernel that comes with panics on my
machine. The install CD boots and works fine for the install though! It's only
when booting the newly installed kernel off the hard drive after completing the
install that I have trouble. I am thus still using the same customized
(2.4.20-2.2custom) kernel I built for RH8 right now, I compiled into that kernel
(y instead of m) ext3, generic scsi support, and the aic7xxx scsi driver.

title Red Hat Linux (2.4.20-9)
        root (hd0,2)
        kernel /vmlinuz-2.4.20-9 ro root=LABEL=/ hdc=ide-scsi
        initrd /initrd-2.4.20-9.img

title Red Hat Linux (2.4.20-2.2custom)
        root (hd0,2)
        kernel /vmlinuz-2.4.20-2.2custom ro root=LABEL=/ hdc=ide-scsi
        initrd /initrd-2.4.20-2.2custom.img

[root@blackbox root]# e2label /dev/sda3
/boot
[root@blackbox root]# e2label /dev/sda5
/

As you can see the labels are correct, the grub entries are correct, yet only
one kernel works (mine) and the others don't (including stock RH9)

Oh, and the RH9 install also screwed up my grub install. Confused about which
drive to install MBR to? I had to boot rescue mode from the install cd, chroot
/mnt/sysimage, and then grub-install /dev/sda. At least I think that's what I
did.... It was late...

Version-Release number of selected component (if applicable):
kernel-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
Boot a kernel with aic7xxx, generic scsi, and ext3 compiled as modules

Actual Results:  kernel panic

Expected Results:  kernel boot

Additional info:

Machine is:
MSI K7 Master-S motherboard 
(onboard Adaptec AIC7899P U160/m SCSI)
Maxtor 4D040H2 IDE drive
Fujitsu MAN3367MP SCSI drive
Bios boot order (install): cdrom, scsi
Bios boot order (operating): floppy, scsi

Device   Start End  Size(MB) Type
/dev/hdb
hdb1      1   4983  39080    fat32
/dev/sda
   sda1   1    447   3506    fat32
   sda2   448  2105 13006    fat32
   sda3   2106 2111    47    ext3 (/boot)
   sda4   2112 4467 18481    Extended
     sda5 2112 4337 17461    ext3 (/)
     sda6 4338 4467  1020    linux-swap

df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda5              17G  8.5G  7.5G  54% /
/dev/sda3              46M   24M   20M  55% /boot
...
Comment 1 Need Real Name 2003-04-11 07:55:38 EDT
modules.conf re-edited
kernel removed, reinstalled, mkinitrd run by hand
2.4.20-9 now boots fine

Note You need to log in before you can comment on or make changes to this bug.